function model = optimiseParams(component, optimiser, objective, ...
                                gradient, options, model);

% OPTIMISEPARAMS Optimise parameters.
%
% model = optimiseParams(component, optimiser, objective, ...
%                                 gradient, options, model);

% Copyright (c) 2004 Neil D. Lawrence
% File version 1.3, Mon Jul 12 18:23:50 2004
% OPTIMI toolbox version 0.12




params = feval([component 'ExtractParam'], getfield(model, component));

if options(1)
  if length(params) > 20
    options(9) = 0;
  else
    options(9) = 1;
  end
end

params = feval(optimiser, objective, params, options, gradient, model);

model = setfield(model, ...
                 component, ...
                 feval([component 'ExpandParam'], ...
                       getfield(model, component), ...
                       params));
